import { UmbLitElement } from '../../lit-element/index.js';
declare const UmbInputTimeZoneElement_base: import("../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../validation/index.js").UmbFormControlMixinElement<string[]>> & typeof UmbLitElement;
/**
 * @element umb-input-time-zone
 */
export declare class UmbInputTimeZoneElement extends UmbInputTimeZoneElement_base {
    #private;
    /**
     * This is a minimum amount of selected items in this input.
     * @type {number}
     * @attr
     */
    set min(value: number);
    get min(): number;
    /**
     * This is a maximum amount of selected items in this input.
     * @type {number}
     * @attr
     */
    max?: number;
    /**
     * Disables the input
     * @type {boolean}
     * @attr
     * @default
     */
    set disabled(value: boolean);
    get disabled(): boolean;
    /**
     * Makes the input readonly
     * @type {boolean}
     * @attr
     * @default
     */
    set readonly(value: boolean);
    get readonly(): boolean;
    /**
     * Sets the input to required, meaning validation will fail if the value is empty.
     * @type {boolean}
     */
    required?: boolean;
    set value(value: Array<string>);
    get value(): Array<string>;
    protected _timeZonePickerValue: string;
    constructor();
    protected getFormElement(): undefined;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbInputTimeZoneElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-time-zone': UmbInputTimeZoneElement;
    }
}
